var _excluded = ["disabled", "text", "onClick"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React from 'react';
var Cancel = function Cancel(_ref) {
  var disabled = _ref.disabled,
    text = _ref.text,
    onClick = _ref.onClick,
    props = _objectWithoutProperties(_ref, _excluded);
  // 点击取消
  function handleClick(e) {
    e.stopPropagation();
    if (onClick) onClick(e);
  }
  return /*#__PURE__*/React.createElement("div", _extends({}, props, {
    className: "".concat(text ? 'modal-navbar-button-cancel' : 'modal-navbar-button-close').concat(props.className ? ' ' + props.className : '').concat(disabled === true ? ' disabled' : ''),
    onClick: handleClick
  }), text && typeof text === 'string' ? text : /*#__PURE__*/React.createElement("div", {
    className: "modal-navbar-button-close-icon"
  }));
};
export default Cancel;